(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
        
        $(function() {
            //for generate ajax proccess
            $("#convert_virtual_to_ebook").on("click", null, function(){
                
                $(".spinner").addClass("is-active");

                var data = {
                    'action': 'es_woo_sell_ajax_endpoint',
                    'fn': 'virtual2ebook'
                
                };
                // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, {})
                    .done(function(response) {
                        var response_obj = JSON.parse(response);
                        alert(response_obj.message);
                        if (response_obj.data.csv_link){
                            $("#output_csv").html(response_obj.data.csv_link);
                        }
                        
                        $(".spinner").removeClass("is-active");
                        //parent.tb_remove();
                    })
                    .fail(function (error){
                        $(".spinner").removeClass("is-active");
                        alert("Error: "+error);       
                    });;
                
            });
            
            $("#copy_sku_to_ebook_code").on("click", null, function(){
                
                $(".spinner").addClass("is-active");

                var data = {
                    'action': 'es_woo_sell_ajax_endpoint',
                    'fn': 'sku2ebookcode'
                
                };
                // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, {})
                    .done(function(response) {
                        var response_obj = JSON.parse(response);
                        alert(response_obj.message);
                        if (response_obj.data.csv_link){
                            $("#output_csv").html(response_obj.data.csv_link);
                        }
                        
                        $(".spinner").removeClass("is-active");
                        //parent.tb_remove();
                    })
                    .fail(function (error){
                        $(".spinner").removeClass("is-active");
                        alert("Error: "+error);       
                    });;
                
            });
            
            
            
        });
        
        
        

})( jQuery );
