<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.epubsystems.com
 * @since      1.0.0
 *
 * @package    Epubsystems_woo
 * @subpackage Epubsystems_woo/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">

    <h2><?php echo esc_html(get_admin_page_title()); ?></h2>


    <p>
      <?php _e('Set your access info here. then you can set your woocommerce webhook to integrate with our services:', $this->plugin_name); ?>
      <ol>
        <li><?php _e('set webhook to listen to "order updated" event.', $this->plugin_name); ?></li>
        <li><?php _e('set the woocommerce webhook URL you recieved from us', $this->plugin_name); ?></li>
        <li><?php _e('set woocommerce webhook secret to your publisher secret key you recieved from us.', $this->plugin_name); ?></li>
      </ol>
    </p>
    <form method="post" name="es_publisher_options" action="options.php">
      <?php

        //Grab all options
        $options = get_option($this->plugin_name);

        // init data
        $es_publisher_email = isset($options['es_publisher_email'])?$options['es_publisher_email']:"";
        $es_title = isset($options['es_title'])?$options['es_title']:"רכישת ספרים דיגיטליים";
        $es_message = isset($options['es_message'])?$options['es_message']:"ספרים דיגיטליים יעברו לספריית הענן הפרטית שלך בספריאפ.\n ודאי כי האימייל איתו אתה רוכש הוא האימייל המקושר לחשבונך באפליקצייה.\n ניתן גם לציין כל אימייל אחר שברצונך להעביר אליו את הספרים כמתנה!";
        $es_link_text = isset($options['es_link_text'])?$options['es_link_text']:"להורדת אפליקציית ספריאפ ולפרטים נוספים";
        $es_link_href = isset($options['es_link_href'])?$options['es_link_href']:"https://www.epubsystems.com";
        $es_gift_text = !empty($options['es_gift_text'])?$options['es_gift_text']:"שלח כמתנה";
        $es_email_placeholder = isset($options['es_email_placeholder'])?$options['es_email_placeholder']:"הקלד את אימייל מקבל המתנה";

        $es_show_in_orders_list = isset($options['es_show_in_orders_list'])?$options['es_show_in_orders_list']:1;
        if($es_show_in_orders_list){
            $es_show_in_orders_list_checked = "checked";
        }else{
            $es_show_in_orders_list_checked = "";
        }

        settings_fields($this->plugin_name);
        do_settings_sections($this->plugin_name);
     ?>

      <br>
      <fieldset>
          <legend><?php _e('your publisher account email', $this->plugin_name); ?></legend>
          <input type="email" class="regular-text" id="<?php echo $this->plugin_name; ?>-es_publisher_email" name="<?php echo $this->plugin_name; ?>[es_publisher_email]" value="<?php echo $es_publisher_email; ?>"/>
      </fieldset>
      <hr>
      <h4>Payment screen settings</h4>
      <fieldset>
          <legend><?php _e('title', $this->plugin_name); ?></legend>
          <input type="text" class="regular-text" id="<?php echo $this->plugin_name; ?>-es_title" name="<?php echo $this->plugin_name; ?>[es_title]" value="<?php echo $es_title; ?>"/>
      </fieldset>

      <fieldset>
          <legend><?php _e('message', $this->plugin_name); ?></legend>
          <textarea type="text" rows="10" class="regular-text" id="<?php echo $this->plugin_name; ?>-es_message" name="<?php echo $this->plugin_name; ?>[es_message]"><?php echo $es_message; ?></textarea>
      </fieldset>

      <fieldset>
          <legend><?php _e('as a gift', $this->plugin_name); ?></legend>
          <input type="text" class="regular-text" id="<?php echo $this->plugin_name; ?>-es_gift_text" name="<?php echo $this->plugin_name; ?>[es_gift_text]" value="<?php echo $es_gift_text; ?>"/>
      </fieldset>

      <fieldset>
          <legend><?php _e('email placeholder', $this->plugin_name); ?></legend>
          <input type="text" class="regular-text" id="<?php echo $this->plugin_name; ?>-es_email_placeholder" name="<?php echo $this->plugin_name; ?>[es_email_placeholder]" value="<?php echo $es_email_placeholder; ?>"/>
      </fieldset>

      <fieldset>
          <legend><?php _e('link text', $this->plugin_name); ?></legend>
          <input type="text" class="regular-text" id="<?php echo $this->plugin_name; ?>-es_link_text" name="<?php echo $this->plugin_name; ?>[es_link_text]" value="<?php echo $es_link_text; ?>"/>
      </fieldset>

      <fieldset>
          <legend><?php _e('link href', $this->plugin_name); ?></legend>
          <input type="text" class="regular-text" id="<?php echo $this->plugin_name; ?>-es_link_href" name="<?php echo $this->plugin_name; ?>[es_link_href]" value="<?php echo $es_link_href; ?>"/>
      </fieldset>

      <hr>

      <fieldset>
          <legend><?php _e('Show status in orders list', $this->plugin_name); ?></legend>
          <input type="checkbox" id="<?php echo $this->plugin_name; ?>-es_show_in_orders_list" name="<?php echo $this->plugin_name; ?>[es_show_in_orders_list]" value="1" <?php echo $es_show_in_orders_list_checked;?>/>
      </fieldset>

      <?php submit_button('Save all changes', 'primary','submit', TRUE); ?>

    </form>
    
    
    <?php 
        //this will initiate admin_action_modal_convert_to_ebook
        //that will call open_thickbox_modal_convert_to_ebook
        $pop_modal_virtual2ebook_url = add_query_arg( array(
                'action'    => 'modal_convert_to_ebook',
                'TB_iframe' => 'true',
                'width'     => '600',
                'height'    => '400'
            ), admin_url( 'admin.php' ) );
        
    
        $pop_modal_copy_sku_url = add_query_arg( array(
                'action'    => 'modal_copy_sku_to_ebook_code',
                'TB_iframe' => 'true',
                'width'     => '600',
                'height'    => '400'
            ), admin_url( 'admin.php' ) );
    ?>
    
    <div style='text-align: center; direction: ltr;'>
        <h2>Version 4.1 upgrade tools</h2>
        <h3>Do not use if you don't know what are you doing!!!</h3>
        <h5>These tools needs memory and time... Make sure your server has both.</h5>
        <h5>you can add these line (temporarily) to your wp-config.php file:</h5>
        <h5>define( 'WP_MAX_MEMORY_LIMIT' , '1024M' );</h5>
        <h5>set_time_limit(300);</h5>
    </div>
    <div style="background-color: red; padding: 10px; text-align: center; font-size: 16px;">
        <a style='color: white;' href="<?=$pop_modal_virtual2ebook_url?>" class="thickbox">Set All Virtual products and variations as eBook</a>
    </div>
    <hr>
    <div style="background-color: red; padding: 10px; text-align: center; font-size: 16px;">
        <a style='color: white;' href="<?=$pop_modal_copy_sku_url?>" class="thickbox">Copy All SKU to eBook cloud code</a>
    </div>
  
    
    
    

</div>
